Summary:	An OpenGL GTK widget
Name: 		gtkglarea2
Version:	1.99.0
Release: 	0.fdr.4.rh90
Epoch:		0
License:	LGPL
Group:		System Environment/Libraries
URL:		http://www.student.oulu.fi/~jlof/gtkglarea/
# ftp://ftp.gnome.org/pub/gnome/sources/gtkglarea/
Source0: 	gtkglarea-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	pkgconfig XFree86-Mesa-libGL XFree86-Mesa-libGLU
BuildRequires:	gtk2-devel >= 0:2.0.0

%package devel
Summary:	Development package for gtkglarea2
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	XFree86-Mesa-libGL XFree86-Mesa-libGLU pkgconfig
Requires:	gtk2-devel >= 0:2.0.0

#---------------------------------------------------------------------
%description
GtkGLArea is a GTK widget that makes it easy to use OpenGL or Mesa
from your GTK programs.

%description devel
GtkGLArea is a GTK widget that makes it easy to use OpenGL or Mesa
from your GTK programs.
This package contains header files and libraries for GtkGLArea
software development.

#---------------------------------------------------------------------
%prep
%setup -q -n gtkglarea-%{version}

#---------------------------------------------------------------------
%build
%configure
make %{?_smp_mflags}

#---------------------------------------------------------------------
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

#---------------------------------------------------------------------
%clean
rm -rf $RPM_BUILD_ROOT

#---------------------------------------------------------------------
%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

#---------------------------------------------------------------------
%files
%defattr(-,root,root,-)
%doc COPYING README AUTHORS
%{_libdir}/libgtkgl-2.0.so.*

%files devel
%defattr(-,root,root,-)
%exclude %{_libdir}/libgtkgl-2.0.la
%{_libdir}/libgtkgl-2.0.a
%{_libdir}/libgtkgl-2.0.so
%{_includedir}/gtkgl-2.0
%{_libdir}/pkgconfig/gtkgl-2.0.pc

#---------------------------------------------------------------------
%changelog
* Sun Jul  6 2003 Dams <anvil[AT]livna.org> 0:1.99.0-0.fdr.4
- Renamed specfile to gtkglarea2.spec to make rpmlint happy.
- Added missing dependencies for devel package
- Fixed typo in devel Summary:

* Wed Jun 25 2003 Dams <anvil[AT]livna.org> 0:1.99.0-0.fdr.3
- BuildRequires for XFree86-Mesa-libGL/libGLU
- Removed URL in Source0

* Tue May  6 2003 Dams <anvil[AT]livna.org> 0:1.99.0-0.fdr.2
- buildroot -> RPM_BUILD_ROOT

* Wed Apr 23 2003 Dams <anvil[AT]livna.org> 
- Initial build.
